On Aug 14th 11 PM ET/Aug 15th 03:00 UTC, due to scheduled Firefox Account server maintenance, users may not be able to sign in or create a new subscription. This is expected to last approximately 30 minutes. Status updates can be found at https://status.vpn.mozilla.org or https://status.relay.firefox.com.

Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Connecting to trusted, unsecure device

  • 3 fhreagra
  • 1 leis an bhfadhb seo
  • 32 views
  • Freagra is déanaí ó James

more options

I have a Netgear Readynas attached storage device. I am unable to connect to this device using Firefox. I encounter : Error code: SSL_ERROR_UNSUPPORTED_VERSION

It is not an dangerous site, it is my network storage device.

Is there a way to configure Firefox to connect to this device? Thanks for any help

I have a Netgear Readynas attached storage device. I am unable to connect to this device using Firefox. I encounter : Error code: SSL_ERROR_UNSUPPORTED_VERSION It is not an dangerous site, it is my network storage device. Is there a way to configure Firefox to connect to this device? Thanks for any help

Réiteach roghnaithe

Holy cow, What a convoluted process. However, I found the setting and figured out how to change from "false" to "true"

FIREFOX !!!!!!!!!! HOW ABOUT A BUTTON FOR THIS!!!!

Thanks mucho

BTW NAS unit has its latest update ReadyNas Duo 4.1.16

Read this answer in context 👍 0

All Replies (3)

more options

This can happen if that NAS devices only supports TLS 1,0 and 1.1 and doesn't meet the current requirement to support TLS 1.2 or 1.3. Isn't there an update available for the firmware of this device to support TLS 1.2 or newer ?

There is still a way to override this and re-enable support for those older TLS versions, but this is not recommended. If you want to proceed then you should only use this when you need to access this NAS device and not for visiting websites.

  • about:config => security.tls.version.enable-deprecated = true

You should reset this pref after you are done with this device.

You can open the about:config page via the location/address bar. Clear cookies the button to "Accept the Risk and Continue".

Helpful?

more options

Réiteach Roghnaithe

Holy cow, What a convoluted process. However, I found the setting and figured out how to change from "false" to "true"

FIREFOX !!!!!!!!!! HOW ABOUT A BUTTON FOR THIS!!!!

Thanks mucho

BTW NAS unit has its latest update ReadyNas Duo 4.1.16

Athraithe ag Michael ar

Helpful?

more options

Michael said

FIREFOX !!!!!!!!!! HOW ABOUT A BUTTON FOR THIS!!!!

As said it is not recommended to do it for security reasons except temporarily. https://hacks.mozilla.org/2020/02/its-the-boot-for-tls-1-0-and-tls-1-1/

Helpful?

Cuir ceist

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.